I'm sure some of you have seen the recent news about a major vulnerability for Linux servers. Since the majority of websites hosted with us are running on Linux you might be worried about this vulnerability. However, we have patched all our servers against this attack the same day as the patch was released by the vendor. So, as always, rest assured that we are doing everything humanly possible to keep your websites safe! As a reminder, please do your part and keep your Applications, its plugins and themes up2date at all times!! If you need any help with that or explanations, please do not hesitate to contact us.